Public Member Functions | Protected Member Functions | Protected Attributes

# SignalCondition Class Reference
[Programmable Signals.]

Inheritance diagram for SignalCondition:

## Public Member Functions
SignalConditionCode | ConditionCode () const
virtual bool | Evaluate (SignalVM &vm)=0
virtual | ~SignalCondition ()
| Conditions.
## Protected Member Functions
| SignalCondition (SignalConditionCode code)
## Protected Attributes
const SignalConditionCode | cond_code

## Detailed Description

Definition at line 136 of file programmable_signals.h.

## Constructor & Destructor Documentation

SignalCondition::~SignalCondition | ( |  | ) | `[virtual]`

Conditions.

Definition at line 71 of file programmable_signals.cpp.

The documentation for this class was generated from the following files:

- src/programmable_signals.h
- src/programmable_signals.cpp